Subject: Re: bug#67926: 29.1; fail to extract ZIP subfile named with [...]

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Jan 2024 22:00:03 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Thu, 04 Jan 2024 04:53:26 +0900
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't think we can solve this in Emacs: non-ASCII file names in zip
> > archives are a mess, even before you consider the fact that zip
> > archives are frequently moved between systems.  For starters, how can
> > one know in advance what is the encoding of file names in an arbitrary
> > zip archive?  This will bite you even if we do everything in Emacs,
> > and even if someone does submit patches to implement all the
> > compression methods.
> 
> So I need a extractor without subfile names.
> It is more usefull to extract contents with broken names than unable to
> extract contents at all.

Feel free to do it, for you personally.  But most people have other
needs: they need to extract files from zip archives like unzip program
does, and that's what Emacs gives them.  Your personal needs can be
solved with Lisp programs you write for your own use.  Here we are
talking about what arc-mode.el should do for everyone, not just for
you.  And your special needs don't necessarily mean others have the
same needs.